Page MenuHomePhabricator

Add basic Gerrit support to git-repo
Closed, DuplicatePublic

Description

git-repo is a git client tool that supports project management systems that include git projects, such as GitHub , GitLab, BitBucket, etc.

It has a simpler and consistent interface for working with them all, such as git-repo <target> request create to submit a patch for review, and git-repo <target> request fetch <id> to fetch a patch for review.

It does not yet understand git projects on Gerrit.

This task is to create a basic git-repo backend which can clone a repository hosted on Gerrit, concretely by creating a file in services/ext dir.

See also this issue upstream : https://github.com/guyzmo/git-repo/issues/19

Mentor: @jayvdb (git-repo committer)

Event Timeline

jayvdb created this task.Nov 20 2017, 3:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 20 2017, 3:02 PM

I doint know how your going to support this as this will need to be done in gerrit master upstream and we are on 2.13 yet there are 2.14 and 2.15.

@Paladox: I don't see how the last comment is relevant. "this" in "this will need to be done" remains vague. Please be specific.

@Aklapper this task has the Google Code project. Which is suggesting that this is easy to implement and can run as soon as it is built.

We are running gerrit 2.13 with plans to update to 2.14. But because of the nature of this it depends on how easy this is to implement. Upstream wont allow any breaking changes or large changes on a stable branch. Does this require a plugin? Im not sure with the api in 2.13 if this can be supported until 2.14 / 2.15.

@Paladox , this is a git client tool, which interfaces with lots of different git servers. It can happily support them all. Please read tasks before you comment on them.

Paladox added a comment.EditedNov 20 2017, 4:23 PM

Oh sorry.

Im confused why was a task filled under the gerrit tag then? (im guessing it is so that the tool can support gerrit without gerrit needing any changes?)

(i read the task description before commenting this time)

Because it is a tool for Gerrit. *shrug* But removing the tag is ok.

Aklapper updated the task description. (Show Details)Nov 20 2017, 6:45 PM
Framawiki updated the task description. (Show Details)Nov 21 2017, 6:11 PM

@Framawiki: This cannot be both a smaller Google-Code-in-2017 task and a larger Possible-Tech-Projects task.

nikitavbv added a subscriber: nikitavbv.

Interesting task! I will work on it

So the PR is currently in review. Looks like you're doing good job @Phantom42 !

Thank you @Framawiki ! The pull request isn't merged yet, but as for progress report: we already have clone working and we also implemented patchset review and fetch.

jayvdb closed this task as Declined.Jan 11 2018, 2:10 PM

After it is merged, most of the functionality is done, and further enhancements would need to be worked on with the git-repo maintainers.